/*
  ######################################################################
  # THIS IS THE STRIPPED VERSION OF THE ORIGINAL FILE                  #
  ######################################################################
  # This file was taken from libTiMidity 0.1.0 tar-ball distribution   #
  # Read the file "README.TXT" in this directory for more details      #
  ######################################################################
  # September 14, 2005 - Aloysius Indrayanto                           #
  # All comments (except the library copyright & license) are stripped #
  ######################################################################
  # See the VortexGE documentation for information about VortexGE      #
  ######################################################################
*/

/*
    TiMidity -- Experimental MIDI to WAVE converter
    Copyright (C) 1995 Tuukka Toivonen <toivonen[AT]clinet[DOT]fi>
    Copyright (C) 2004 Konstantin Korikov <lostclus[AT]ua[DOT]fm>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.
 
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
    Lesser General Public License for more details.
 
    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/

#define ME_NONE   0
#define ME_NOTEON  1
#define ME_NOTEOFF  2
#define ME_KEYPRESSURE  3
#define ME_MAINVOLUME  4
#define ME_PAN    5
#define ME_SUSTAIN  6
#define ME_EXPRESSION  7
#define ME_PITCHWHEEL  8
#define ME_PROGRAM  9
#define ME_TEMPO  10
#define ME_PITCH_SENS  11

#define ME_ALL_SOUNDS_OFF  12
#define ME_RESET_CONTROLLERS  13
#define ME_ALL_NOTES_OFF  14
#define ME_TONE_BANK  15

#define ME_LYRIC  16

#define ME_EOT    99

#define NO_PANNING -1

#define VOICE_FREE 0
#define VOICE_ON 1
#define VOICE_SUSTAINED 2
#define VOICE_OFF 3
#define VOICE_DIE 4

#define PANNED_MYSTERY 0
#define PANNED_LEFT 1
#define PANNED_RIGHT 2
#define PANNED_CENTER 3

#define ISDRUMCHANNEL(s, c) (((s)->drumchannels & (1<<(c))))

